/**
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/

package org.activemq.transport.stomp;

import EDU.oswego.cs.dl.util.concurrent.PooledExecutor;
import org.activemq.transport.tcp.TcpTransportChannel;
import org.activemq.transport.tcp.TcpTransportServerChannel;

import javax.jms.JMSException;
import java.net.ServerSocket;
import java.net.Socket;
import java.net.URI;

/**
 * A TTMP server connector
 *
 * @version $Revision: 1.1.1.1 $
 */
public class StompTransportServerChannel extends TcpTransportServerChannel implements Runnable {

    public StompTransportServerChannel(URI bindAddr) throws JMSException {
        super(new StompWireFormat(), bindAddr);
    }

    public StompTransportServerChannel(ServerSocket serverSocket) throws JMSException {
        super(new StompWireFormat(), serverSocket);
    }

    protected TcpTransportChannel createTransportChannel(Socket socket, PooledExecutor executor) throws JMSException {
        return new StompTransportChannel(socket, executor);
    }
}