/**
 * Marshalling code for Open Wire Format for ConsumerInfo
 *
 *
 * NOTE!: This file is autogenerated - do not modify!
 *        if you need to make a change, please see the Groovy scripts in the
 *        activemq-openwire module
 */

package org.activemq.transport.openwire.io;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

import org.activemq.message.*;
import org.activemq.io.*;
import org.activemq.io.impl.*;
import org.activemq.transport.openwire.OpenWirePacketMarshallerSupport;

/**
 * AUTOGENERATED Marshaller for OpenWire command ConsumerInfo
 *
 * @version $Revision: 1.1 $
 */
public class ConsumerInfoMarshaller extends OpenWirePacketMarshallerSupport {

    /**
     * Return the type of Packet
     *
     * @return integer representation of the type of Packet
     */
    public int getPacketType() {
        return 11;
    }

    /**
     * @return a new Packet instance
     */
    public Packet createPacket() {
        return new ConsumerInfo();
    }

    /**
     * build a Packet instance from the data input stream
     *
     * @param packet A Packet object
     * @param dataIn the data input stream to build the packet from
     * @throws IOException
     */
    public void buildPacket(Packet packet, DataInput dataIn) throws IOException {
        super.buildPacket(packet, dataIn);
        ConsumerInfo info = (ConsumerInfo) packet;
        info.setSessionId(dataIn.readShort());
        info.setClientId(readString(dataIn));
        info.setDestination(readDestination(dataIn));
        info.setSelector(readString(dataIn));
        info.setStarted(dataIn.readBoolean());
        info.setStartTime(dataIn.readLong());
        info.setConsumerNo(dataIn.readInt());
        info.setConsumerName(readString(dataIn));
        info.setNoLocal(dataIn.readBoolean());
        info.setBrowser(dataIn.readBoolean());
        info.setPrefetchNumber(dataIn.readInt());
        info.setConsumerId(readString(dataIn));

    }

    /**
     * Write a Packet instance to data output stream
     *
     * @param packet  the instance to be seralized
     * @param dataOut the output stream
     * @throws IOException thrown if an error occurs
     */
    public void writePacket(Packet packet, DataOutput dataOut) throws IOException {
        super.writePacket(packet, dataOut);
        ConsumerInfo info = (ConsumerInfo) packet;
        dataOut.writeShort(info.getSessionId());
        writeString(info.getClientId(), dataOut);
        writeDestination(info.getDestination(), dataOut);
        writeString(info.getSelector(), dataOut);
        dataOut.writeBoolean(info.isStarted());
        dataOut.writeLong(info.getStartTime());
        dataOut.writeInt(info.getConsumerNo());
        writeString(info.getConsumerName(), dataOut);
        dataOut.writeBoolean(info.isNoLocal());
        dataOut.writeBoolean(info.isBrowser());
        dataOut.writeInt(info.getPrefetchNumber());
        writeString(info.getConsumerId(), dataOut);

    }
}
