/**
* Test case for the marshalling code for Open Wire Format for ProducerInfo
*
*
* NOTE!: This file is autogenerated - do not modify!
*        if you need to make a change, please see the Groovy scripts in the
*        activemq-openwire module
*/

package org.activemq.transport.openwire.io;

import org.activemq.io.impl.AbstractPacketMarshaller;
import org.activemq.message.*;
import org.activemq.message.Packet;
import org.activemq.transport.openwire.PacketMarshallerTestSupport;

/**
 * AUTOGENERATED test case for OpenWire command ProducerInfo

 * @version $Revision: 1.1 $
 */
public class ProducerInfoMarshallerTest extends PacketMarshallerTestSupport {

    /**
     * @return a newly created marshaller
     */
    protected AbstractPacketMarshaller createMarshaller() {
        return new ProducerInfoMarshaller();
    }


    /**
     * configures the packet with some test data
     */
    protected void populatePacket(Packet packet) throws Exception {
        super.populatePacket(packet);
        ProducerInfo info = (ProducerInfo) packet;

        info.setProducerId((short) 24);
        info.setSessionId((short) 25);
        info.setClientId("TestString26");
        info.setDestination(new ActiveMQQueue("TEST.FOO.BAR.27"));
        info.setStarted(false);
        info.setStartTime((long) 29);
   }

    /**
     * Asserts that the read packet has the correct values
     */
    protected void assertPacketValid(Packet packet) throws Exception {
        super.assertPacketValid(packet);
        ProducerInfo info = (ProducerInfo) packet;
        
        assertEquals("property ProducerId", (short) 24, info.getProducerId());
        assertEquals("property SessionId", (short) 25, info.getSessionId());
        assertEquals("property ClientId", "TestString26", info.getClientId());
        assertEquals("property Destination", new ActiveMQQueue("TEST.FOO.BAR.27"), info.getDestination());
        assertEquals("property Started", false, info.isStarted());
        assertEquals("property StartTime", (long) 29, info.getStartTime());
    }
}
