/**
* Test case for the marshalling code for Open Wire Format for Receipt
*
*
* NOTE!: This file is autogenerated - do not modify!
*        if you need to make a change, please see the Groovy scripts in the
*        activemq-openwire module
*/

package org.activemq.transport.openwire.io;

import org.activemq.io.impl.AbstractPacketMarshaller;
import org.activemq.message.*;
import org.activemq.message.Packet;
import org.activemq.transport.openwire.PacketMarshallerTestSupport;

/**
 * AUTOGENERATED test case for OpenWire command Receipt

 * @version $Revision: 1.1 $
 */
public class ReceiptMarshallerTest extends PacketMarshallerTestSupport {

    /**
     * @return a newly created marshaller
     */
    protected AbstractPacketMarshaller createMarshaller() {
        return new ReceiptMarshaller();
    }


    /**
     * configures the packet with some test data
     */
    protected void populatePacket(Packet packet) throws Exception {
        super.populatePacket(packet);
        Receipt info = (Receipt) packet;

        info.setCorrelationId((short) 31);
        info.setFailed(false);
        info.setBrokerMessageCapacity(33);
        info.setBrokerName("TestString34");
        info.setClusterName("TestString35");
        info.setExceptionAsString("TestString36");
   }

    /**
     * Asserts that the read packet has the correct values
     */
    protected void assertPacketValid(Packet packet) throws Exception {
        super.assertPacketValid(packet);
        Receipt info = (Receipt) packet;
        
        assertEquals("property CorrelationId", (short) 31, info.getCorrelationId());
        assertEquals("property Failed", false, info.isFailed());
        assertEquals("property BrokerMessageCapacity", 33, info.getBrokerMessageCapacity());
        assertEquals("property BrokerName", "TestString34", info.getBrokerName());
        assertEquals("property ClusterName", "TestString35", info.getClusterName());
        assertEquals("property ExceptionAsString", "TestString36", info.getExceptionAsString());
    }
}
