/*
 * Created on 12-Aug-2005
 */
package org.activemq.transport.https;

import java.io.IOException;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;

import javax.net.ssl.HttpsURLConnection;

import org.activemq.io.TextWireFormat;
import org.activemq.transport.http.HttpTransportChannel;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public class HttpsTransportChannel extends HttpTransportChannel {

	private static final Log log = LogFactory.getLog( HttpsTransportChannel.class );

	public HttpsTransportChannel( TextWireFormat wireFormat, String remoteUrl ) throws MalformedURLException {
		super( wireFormat, remoteUrl );
	}
	
	protected synchronized HttpURLConnection createSendConnection() throws IOException {
		HttpsURLConnection conn = (HttpsURLConnection) getRemoteURL().openConnection();
		conn.setDoOutput( true );
		conn.setRequestMethod( "POST" );
		configureConnection( conn );
		conn.connect();
		return conn;
	}

	protected synchronized HttpURLConnection createReceiveConnection() throws IOException {
		HttpsURLConnection conn = (HttpsURLConnection) getRemoteURL().openConnection();
		conn.setDoOutput( false );
		conn.setDoInput( true );
		conn.setRequestMethod( "GET" );
		configureConnection( conn );
		conn.connect();
		return conn;
	}
	
}
